@import 'mixins_and_variables_and_functions';
/**
NOTE: We should only import styles that we actually use.
Ex:
  @import '@gitlab/ui/src/scss/gitlab_ui';
*/
@import '@gitlab/ui/src/scss/bootstrap';
@import 'bootstrap-vue/src/index';

@import '@gitlab/ui/src/scss/utilities';
@import '@gitlab/ui/src/components/base/alert/alert';

$atlaskit-border-color: #dfe1e6;

.ac-content {
  margin: 20px;

  .subscription-form {
    margin-bottom: 20px;

    .field-group-input {
      display: flex;
      padding-top: $gl-padding-4;

      .ak-button {
        align-items: center;
        height: auto;
        margin-left: $btn-margin-5;
      }
    }
  }
}

$header-height: 40px;

.jira-connect-header {
  border-bottom: 1px solid $gray-100;
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: $header-height;
  padding-left: 16px;
  padding-right: 16px;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
}

.jira-connect-user {
  font-size: $gl-font-size;
  position: fixed;
  top: 10px;
  right: 20px;
}

.jira-connect-app {
  margin-top: $header-height;
  max-width: 600px;
  min-height: 95vh;
  padding-top: 48px;
  padding-left: 16px;
  padding-right: 16px;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

.gl-mt-5 {
  margin-top: 16px;
}

.heading-with-border {
  border-bottom: 1px solid $gray-100;
  display: inline-block;
  padding-bottom: 16px;
}

svg {
  fill: currentColor;

  &.s16 {
    height: 16px;
    width: 16px;
  }
}

.ak-field-group label {
  text-align: left;
}

.ak-button__appearance-primary {
  &:hover {
    color: $white;
    text-decoration: none;
  }

  svg {
    align-self: center;
    margin-left: 4px;
  }
}

.subscriptions {
  tbody {
    tr {
      border-bottom: 1px solid $atlaskit-border-color;
    }

    td {
      padding: $gl-padding-8;
    }
  }
}

.empty-subscriptions {
  color: $gray-900;
}

.browser-limitations-notice {
  font-size: $gl-font-size;
  margin-top: 32px;
}
